/* Humusoft data acquisition library.
 *
 * Example that shows using of PWM output channels.
 */
/* Copyright 2002-2007 Humusoft s.r.o.
   Copyright 2008-2020 Jaroslav FOjtik */

#include <stdio.h>

#include "hudaqlib.h"


int main(int argc, char* argv[])
{
HUDAQHANDLE h;
double value;
unsigned ret;

  /* open a handle to the first MF624 device in the system */
  h = HudaqOpenDevice("MF624", 1, 0);
  if(h==0)
  {
    printf("\nData acquisition device not found.\n");
    return(-1);
  }

  /* set first PWM channel to frequency 1.5kHz with duty cycle 0.5 */
  ret = HudaqPWMWrite(h,0,1500,0.5);
  if(ret!=HUDAQSUCCESS)
    printf("\nCannot write to PWM channel 0, error %d.\n",ret);

  /* set second PWM channel to frequency 2.5kHz with duty cycle 0.75 */
  ret = HudaqPWMWrite(h,1,2500,0.75);
  if(ret!=HUDAQSUCCESS)
    printf("\nCannot write to PWM channel 1, error %d.\n",ret);


  /* close the device handle */
  HudaqCloseDevice(h);

  return(0);
}
